%define name		jmdns
%define version		1.0
%define release		0.rc2.1jpp
%define	section		free


Name:		%{name}
Summary:	JmDNS multicast extensions for DNS
Url:		http://jmdns.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	jmdns-1.0.RC2.tar.gz
Source1:	jmdns-build.xml
Source2:	jmdns.manifest

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JmDNS is a java implementation of the IETF draft RFP 
multicast extensions for DNS. This project contains 
the needed elements for service discovery and service 
registration. It is compatible with Apple\'s Rendezvous 
service.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}.RC2
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
cp %{SOURCE1} build.xml
cp %{SOURCE2} lib/jmdns.manifest

%build
mkdir classes
ant build samples jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# samples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
cp -pr src/samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/samples

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc *.txt
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Mar 01 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.rc2.1jpp
- First release

